Altibase.jdbc.driver.sharding.algorithm

## Interface CompositeShardingAlgorithm

All Superinterfaces:
  ShardingAlgorithm

All Known Implementing Classes:
  StandardCompositeShardingAlgorithm

    public interface CompositeShardingAlgorithm
    extends ShardingAlgorithm

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<DataNode>` `doSharding(java.util.List<java.lang.Comparable<?>> aShardValueList, java.util.List<ShardSplitMethod> aShardSplitMethodList, DataNode aDefaultNode, int aShardValueCnt, int aShardSubValueCnt)`

### Method Detail

#### doSharding

    java.util.List<DataNode> doSharding(java.util.List<java.lang.Comparable<?>> aShardValueList,
                                        java.util.List<ShardSplitMethod> aShardSplitMethodList,
                                        DataNode aDefaultNode,
                                        int aShardValueCnt,
                                        int aShardSubValueCnt)
                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`